# KI-Dialoge

Dialoge mit verschiedenen, leicht zugänglichen KI-Chatbots zur Entwicklung einer Simulation. 

## mit ChatGPT
https://chatgpt.com/
	
### chatgpt1 - Überprüfung der Eignung von ChatGPT

* chatgpt1.pdf - Sicherung des Orginalverlaufs
* chatgpt1.docx - annotierter und kopierbarer Verlauf

herauskopiert sind:
* chatgpt1.nlogo - Code ergänzt um go_100 plus Interface 
* chatgpt1a.py - erstes Python-Programm, ergänzt um Leerzeile zwischen Ausgaben
* chatgpt1b.py - zweites Python-Programm, mit grafischer Ausgabe


## mit Microsoft Copilot
https://copilot.microsoft.com/ 

Verwendung der Einstellung "Im höheren Maße Genau"

### copilot1 - Entwicklung einer Simulation in NetLogo

* copilot1.pdf - Sicherung des Orginalverlaufs
* copilot1.docx - annotierter und kopierbarer Verlauf

herauskopiert ist:
* copilot1a.nlogo - Entwickelte Simulation ohne Firmen, Code manuell angepasst
* copilot1b.nlogo - Finale Simulation mit Firmen, Bibliothek auskommentiert

### copilot2 - Analyse des Programms, Generierung von Beschreibungstexten

* copilot1b.nlogo.code.txt - Der Code aus dem NetLogo-Code-Tab als Textdatei

Analysen:
* copilot2.pdf - Sicherung des Orginalverlaufs
* copilot2.docx - annotierter und kopierbarer Verlauf


## mit Gemini
https://gemini.google.com

### gemini1 - erster Dialog mit Gemini, Python-Programm

herauskopiert sind:
* gemini1a.py - erste Python-Programm, fehlerhaft
* gemini1b.py - zweites Python-Programm, fehlerhaft
* gemini1c.py - drittes Python-Programm, ausführbar
* gemini1d .py- zweites Python-Programm, erweitert um grafische Ausgabe

### gemini2 - zweiter Dialog, NetLogo-Simulation
* es wird kein gültiger NetLogo-Code erzeugt, kein "Copy" vom Code angeboten
* gemini2.py - gleiche Beschreibung für Python, lauffähige Simulation

### gemini3 - dritter Dialog, NetLogo und Frage nach Gültigkeit der Syntax




